net.sourceforge.pmd.lang.java.ast

## Class ASTLiteral

- java.lang.Object
- - net.sourceforge.pmd.lang.ast.AbstractNode
  - - net.sourceforge.pmd.lang.java.ast.AbstractJavaNode
    - - net.sourceforge.pmd.lang.java.ast.AbstractJavaTypeNode
      - - net.sourceforge.pmd.lang.java.ast.ASTLiteral

All Implemented Interfaces:
  Node, JavaNode, TypeNode

    public class ASTLiteral
    extends AbstractJavaTypeNode

### Field Summary

### Fields inherited from class net.sourceforge.pmd.lang.java.ast.AbstractJavaNode

`parser`

### Fields inherited from class net.sourceforge.pmd.lang.ast.AbstractNode

`beginColumn, beginLine, children, endColumn, endLine, id, parent`

### Constructor Summary

Constructors
Constructor and Description
`ASTLiteral(int id)`
`ASTLiteral(JavaParser p, int id)`

### Method Summary

Methods
`boolean` `isCharLiteral()`
`boolean` `isFloatLiteral()`
`boolean` `isIntLiteral()`
`boolean` `isSingleCharacterStringLiteral()` Returns true if this is a String literal with only one character.
`boolean` `isStringLiteral()`
`Object` `jjtAccept(JavaParserVisitor visitor, Object data)` Accept the visitor
`void` `setCharLiteral()`
`void` `setFloatLiteral()`
`void` `setIntLiteral()`
`void` `setStringLiteral()`

### Methods inherited from class net.sourceforge.pmd.lang.java.ast.AbstractJavaTypeNode

`getType, setType`

### Methods inherited from class net.sourceforge.pmd.lang.java.ast.AbstractJavaNode

`childrenAccept, comment, comment, getScope, jjtClose, jjtOpen, setScope, toString`

### Methods inherited from class net.sourceforge.pmd.lang.ast.AbstractNode

`appendElement, findChildNodesWithXPath, findChildrenOfType, findDescendantsOfType, findDescendantsOfType, getAsDocument, getBeginColumn, getBeginLine, getDataFlowNode, getEndColumn, getEndLine, getFirstChildOfType, getFirstDescendantOfType, getFirstParentOfType, getImage, getNthParent, getParentsOfType, getUserData, hasDecendantOfAnyType, hasDescendantMatchingXPath, hasDescendantOfType, hasImageEqualTo, isFindBoundary, isSingleLine, jjtAddChild, jjtGetChild, jjtGetId, jjtGetNumChildren, jjtGetParent, jjtSetParent, setDataFlowNode, setImage, setUserData, testingOnly__setBeginColumn, testingOnly__setBeginLine, testingOnly__setEndColumn, testingOnly__setEndLine`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface net.sourceforge.pmd.lang.ast.Node

`findChildNodesWithXPath, findChildrenOfType, findDescendantsOfType, findDescendantsOfType, getAsDocument, getBeginColumn, getBeginLine, getDataFlowNode, getEndColumn, getEndLine, getFirstChildOfType, getFirstDescendantOfType, getFirstParentOfType, getImage, getNthParent, getParentsOfType, getUserData, hasDescendantMatchingXPath, hasDescendantOfType, hasImageEqualTo, isFindBoundary, jjtAddChild, jjtGetChild, jjtGetId, jjtGetNumChildren, jjtGetParent, jjtSetParent, setDataFlowNode, setImage, setUserData`

### Constructor Detail

#### ASTLiteral

    public ASTLiteral(int id)

#### ASTLiteral

    public ASTLiteral(JavaParser p,
              int id)

### Method Detail

#### jjtAccept

    public Object jjtAccept(JavaParserVisitor visitor,
                   Object data)

Accept the visitor. *

Specified by:
  `jjtAccept` in interface `JavaNode`
Overrides:
  `jjtAccept` in class `AbstractJavaNode`

#### setIntLiteral

    public void setIntLiteral()

#### isIntLiteral

    public boolean isIntLiteral()

#### setFloatLiteral

    public void setFloatLiteral()

#### isFloatLiteral

    public boolean isFloatLiteral()

#### setCharLiteral

    public void setCharLiteral()

#### isCharLiteral

    public boolean isCharLiteral()

#### setStringLiteral

    public void setStringLiteral()

#### isStringLiteral

    public boolean isStringLiteral()

#### isSingleCharacterStringLiteral

    public boolean isSingleCharacterStringLiteral()

Returns true if this is a String literal with only one character. Handles octal and escape characters.

Returns:
  true is this is a String literal with only one character